import { SimpleLocalIntegration } from '../../core/index.js';
import { WebostvConfigFlow } from './webostv.classes.configflow.js';
import { createWebostvDiscoveryDescriptor } from './webostv.discovery.js';
import type { IWebostvConfig } from './webostv.types.js';
import { webostvDomain, webostvProfile } from './webostv.types.js';

export class WebostvIntegration extends SimpleLocalIntegration<IWebostvConfig> {
  public readonly domain = webostvDomain;
  public readonly discoveryDescriptor = createWebostvDiscoveryDescriptor();
  public readonly configFlow = new WebostvConfigFlow();

  constructor() {
    super(webostvProfile);
  }
}

export class HomeAssistantWebostvIntegration extends WebostvIntegration {}
